## nginx 1.28.2

=== debian/changelog ===
nginx (1.28.2-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Feb 2026 09:57:11 +0100

nginx (1.28.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 16 Feb 2026 21:27:31 +0100

nginx (1.28.2-1) experimental; urgency=medium

  * New upstream version 1.28.2
  * d/upstream/signing-key.asc: replace by Roman Arutyunyan’s PGP public key
    which signed 1.28.2 release
  * d/libnginx-mod.abisubstvars: update ABI to nginx-abi-1.28.2-1
  * d/p/CVE-2026-1642.patch: remove, fixed in upstream

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 10 Feb 2026 18:30:45 +0100

nginx (1.28.1-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Feb 2026 00:21:04 +0100

nginx (1.28.1-3) unstable; urgency=medium

  * d/p/CVE-2026-1642.patch: add, backport CVE-2026-1642 fix from upcoming
    nging 1.28.2 release

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 09 Feb 2026 05:03:16 +0100

nginx (1.28.1-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 08:20:12 +0100

nginx (1.28.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 26 Dec 2025 16:36:46 +0100

nginx (1.28.1-1) experimental; urgency=medium

  * New upstream version 1.28.1
  * d/libnginx-mod.abisubstvars: update ABI to nginx-abi-1.28.1-1
  * d/p/CVE-2025-53859.patch: remove, fixed in upstream
  * d/control: remove Rules-Requires-Root: no
  * d/watch: rewrite to version 5

 -- Jan Mojžíš <janmojzis@debian.org>  Wed, 24 Dec 2025 13:27:40 +0100

nginx (1.28.0-6ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Sep 2025 11:18:01 +0200

nginx (1.28.0-6) unstable; urgency=medium

  * d/debhelper/nginx_mod.pm: set worker_connections to 128 instead of default
    512 in the nginx test configuration in dh_auto_test.
    This allows one to run the test even on a system that has FD_SETSIZE 256
    and uses ngx_select_module like hurd.
    Fix building third-party modules on GNU Hurd.

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 08 Sep 2025 20:06:40 +0200

nginx (1.28.0-5) unstable; urgency=medium

  [ Miao Wang ]
  * d/p/override-uname.patch,d/rules: fix override-* options detection,
    fix build on GNU Hurd.

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 06 Sep 2025 10:08:21 +0200

nginx (1.28.0-4ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Sep 2025 08:34:33 +0200

nginx (1.28.0-4) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch remove,
    This patch primarily addressed issues on GNU/kFreeBSD. And GNU/kFreeBSD has
    been removed from Debian.
  * d/control: let nginx-core depend on geoip2 instead of geoip.
    Harmonizing with Ubuntu downstream (Closes: 921034).
  * d/control: remove iproute2 dependency, and do not check open port 80
    in d/nginx.postinst. This test is no longer necessary, as the systemd
    log message is sufficient (Closes: 1023382).
  * d/control: remove lua module from nginx-extras and remove from d/t/control
    as well. Lua module had a problematic dependency, it didn't work on all
    platforms due to its dependency on luajit. Therefore it is better to
    remove it from the nginx-extras dependency. Lua module will still be
    installable as a separate module.
  * d/copyright: update Nginx Inc. copyright year

  [ Miao Wang ]
  * d/patches/override-uname.patch: added, override uname command with
    configuration options, so that the products built is unrelated with
    the build system. This is especially useful for building nginx for i386
    but the build sysroot is running on the amd64 kernel (armhf and arm64
    likewise), where uname is giving the wrong information.

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 05 Sep 2025 18:24:59 +0200

nginx (1.28.0-3ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.

